Page MenuHomePhabricator

QuickSurvey for reader segmentation research - run multiple choice survey in more languages
Closed, ResolvedPublic2 Story Points

Description

eswiki

array(

		"@description"=> "description of the survey",
		"description" => "Reader-segmentation-1-description", // (blank)

		"@link"=> "external link to the survey (must be https)",
		"link"=> "Reader-segmentation-3-link", // https://docs.google.com/forms/d/e/1FAIpQLSdPUCZN6ATGQ7uQ-XlyhwiDaR_5wx94plES7AZDRn5Skq5x1A/viewform

		"@question"=> "survey question message key",
		"question"=> "Reader-segmentation-3-message", // 

		"@privacyPolicy"=> "message key for privacy policy. May contain links.",
		"privacyPolicy"=> "Reader-segmentation-3-privacy",  // Datos de la encuesta manejados por una tercera parte. [https://wikimediafoundation.org/wiki/Survey_Privacy_Statement_for_Schema_Revision_15266417/es Privacidad]

		"@coverage"=> "percentage of users that will see the survey",

		"coverage"=> "", // 

		"@platform"=> "for each platform (desktop, mobile), which version of it is targeted (stable, beta, alpha)",
		"platform"=> array(
			"desktop"=> ["stable"],
			"mobile"=> ["stable"]
		)

)

Other possible candidates:
fawiki
hiwki
jawiki
nlwiki
arwiki

Deployment checklist

After the deployment

  • Verify the survey shows when quicksurvey=true is passed as a query string
  • Verify the survey can be completed
  • Verify the survey doesn't show when the page is refreshed and the survey has been dismissed (verify the fix for T164907 is in production and working correctly)

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
leila added a comment.Dec 1 2016, 7:48 PM

@atgo sure. I will need someone helping with translations of a few items. I create a task and will ping you on it for help.

Re low pageview concerns mentioned on this task: no worries if Hindi has lower pageviews. We will set the sampling rate for the survey according to the pageview counts to Hindi Wikipedia, and we have the option of letting that survey run longer than a week if needed. By extending the time, we can also collect more responses.

leila updated the task description. (Show Details)Dec 1 2016, 7:48 PM
atgo added a comment.Dec 1 2016, 8:06 PM

Thanks @leila, sounds great

leila updated the task description. (Show Details)Dec 1 2016, 11:36 PM
leila added a comment.Dec 1 2016, 11:49 PM

@atgo, actually let's do it just in this same task. can you get the translation for the following items in Hindi? I can then create the corresponding pages in hi.wiki. You can send me the translations by email or any other way that works for you.

leila added a comment.Dec 2 2016, 12:25 AM

Update: sent an email to WMF staff who are native Spanish speakers to have the Spanish part translated. I also emailed two Japanese volunteers to see if they can help with the translation of the content to Japanese.

atgo added a comment.Dec 2 2016, 11:13 PM

Thanks @leila. I'll look into Hindi.

atgo added a comment.Dec 3 2016, 12:07 AM

Hey @leila do you have an English version of the google survey you're using? That one is in Spanish, and it's easier for me to find en > hi translators than es > hi :)

leila added a comment.Dec 3 2016, 1:22 AM

@atgo. sorry, that was my mistake. Please share this form with the person who can help with translating the English text to Hindi. It's in English, and editing directly may be easier. :)

Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptDec 5 2016, 5:21 PM
Jdlrobson renamed this task from QuickSurvey for reader segmentation research - run multiple choice survey in more langugaes to QuickSurvey for reader segmentation research - run multiple choice survey in more languages.Dec 5 2016, 5:24 PM
ovasileva set the point value for this task to 2.Dec 5 2016, 5:26 PM

Hey @leila, we're trying to line this up for this sprint, but it looks like we're still missing the following:

  1. sampling rate (coverage)
  2. definitive list of wikis to which the survey should be enabled (right now based on the description it would be eswiki only
  3. date range to run the survey

Thanks!

ovasileva triaged this task as Normal priority.Dec 5 2016, 7:28 PM
leila added a comment.Dec 5 2016, 9:46 PM

@jhobs let's go based on the assumption that we won't turn the survey on this week. I'm still waiting for translations to complete, and I'd really love to add to Arabic to this batch of analysis as well (for which I haven't been able to find a volunteer yet). I'll update this task and ping you when everything is ready. (If this can't happen next week for any reason, we should come back to early January).

Jdlrobson added a subscriber: Jdlrobson.

What's going on here?

leila added a comment.Feb 2 2017, 8:24 PM

It's blocked on me, and I'm hoping to be able to unblock it early next week. Apologies for the delay.

leila claimed this task.Feb 2 2017, 8:24 PM
Jdlrobson changed the task status from Open to Stalled.Feb 2 2017, 8:39 PM

After a very long delay on my end: I'd like to give priority to this task on Research's end to make it happen in Q4 (April-June 2017). I need a Yes from the Reading team as this will create some dependency for them, though the task itself is not too time-consuming based on earlier discussions and the points associated with it. @dr0ptp4kt: are you the person who I can/should ask for a Yes before I can make this a goal for myself?

@leila, it would be best if @ovasileva conducts the prioritization, working from the presumption this will likely require Reading Web support.

@dr0ptp4kt thanks.

@ovasileva can I go ahead and schedule these surveys for Q4? The amount of work for Reading Web will be what's estimated in this task, 2 story points.

leila updated the task description. (Show Details)Apr 11 2017, 2:08 PM
leila removed a subscriber: jhobs.
ovasileva changed the task status from Stalled to Open.Apr 12 2017, 9:42 AM
ovasileva raised the priority of this task from Normal to High.
ovasileva moved this task from Product Owner Backlog to Upcoming on the Readers-Web-Backlog board.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptApr 12 2017, 9:42 AM
Jdlrobson moved this task from 2016-17 Q4 to Upcoming on the Readers-Web-Backlog board.
leila added a subscriber: AWossink.Apr 20 2017, 4:34 PM

@AWossink We are preparing the surveys for Dutch Wikipedia readers and I need your help. :) Can you get the translations to Dutch for the following items? You can send the translations to me by email, or paste them as a comment in this phabricator task. For the one item you have the link to the actual survey, please feel free to insert the translations directly in the survey.

Please make sure translations are done by 1 person. I will set up a 30-min call with that person in the coming week to walk over his/her translations to make sure the meaning is preserved as intended by this research. Let's aim for having the translations ready by Tuesday, April 25, end of the day PST please. Thanks.

leila added a comment.Apr 20 2017, 8:44 PM

request sent to Jack Rabah for Arabic translation (which is Jack not on phab, or is he?;)

leila moved this task from Staged to Time Sensitive on the Research board.Apr 21 2017, 11:01 PM
leila moved this task from Time Sensitive to In Progress on the Research board.
AWossink added a comment.EditedApr 24 2017, 2:22 PM

Dutch translations of the various items of the survey

'The survey "Why are you reading this article today?" is not accepting responses at this time. You can read more about the research behind the survey and the results of this and previous surveys, when they become available, at:...'

De enquête “Waarom lees je dit artikel?” kan momenteel niet ingevuld worden. Ga naar [WEBSITE] voor meer informatie over het onderzoek achter deze enquête en de resultaten van deze en eerdere enquêtes wanneer ze beschikbaar komen.

"Answer three questions and help us improve Wikipedia."

Beantwoord deze drie vragen en help ons Wikipedia te verbeteren.

SURVEY BELOW:

Page 1

Waarom lees je dit artikel?

Ik lees dit artikel…
Om snel iets op te zoeken.
Om een overzicht van het onderwerp te krijgen.
Omdat ik mij in het onderwerp wil verdiepen.

Voordat ik het artikel bekeek…
Wist ik al bekend met het onderwerp.
Wist ik niets over het onderwerp; ik leer er nu voor het eerst iets over.

Ik lees dit artikel omdat…
(Vink alle antwoorden aan die van toepassing zijn)
Ik aan een opdracht voor school werk.
Ik een persoonlijke keuze moet maken (om een boek te kopen, een reis te boeken, enzovoorts)
Ik meer wil weten over een recente gebeurtenis of ontwikkeling (bijvoorbeeld een voetbalwedstrijd, een aardbeving of een sterfgeval).
Eraan gerefereerd werd in de media (bijvoorbeeld TV, radio, film, boek, of artikel)
Het onderwerp ter sprake kwam in een gesprek.
Ik me verveel en willekeurig artikelen op Wikipedia lees.
Het onderwerp belangrijk voor me is en ik er meer over wil leren (bijvoorbeeld over een cultuur).
[Overig]

Page 2

Klik op de knop “Versturen” onderaan deze pagina om je antwoorden vast te leggen.

Door op de knop “Versturen” te klikken geef je ons toestemming om je antwoorden op deze enquête te verbinden met andere informatie over je browsegedrag op Wikipedia tijdens deze sessie (standaardinformatie die over alle lezers verzameld wordt in overeenkomst met ons privacybeleid (1]). Deze informatie wordt gebruikt door de Wikimedia Foundation voor onderzoeksdoeleinden en om Wikipedia te verbeteren. Wil je meer informatie? Lees dan de privacyverklaring van deze enquête [2].

[1] https://wikimediafoundation.org/wiki/Privacy_policy
[2] https://wikimediafoundation.org/wiki/Survey_Privacy_Statement_for_Schema_Revision_15266417.

Dit is je enquête ID. Verander deze alsjeblieft niet.

Survey Privacy Statement for Schema Revision 15266417

Deze verklaring beschrijft hoe en wanneer Wikimedia de informatie verzamelt, gebruikt en deelt die wij van onze enquête-deelnemers ontvangen.

Deze enquête maakt gebruik van Google Forms. Dit betekent dat gebruik van je gegevens door Google onderhevig is aan hun privacyverklaring en servicevoorwaarden.

'''Doel van de enquête'''

Wij waarderen je mening! Deze enquête helpt ons te begrijpen hoe gebruikers de Wikimedia-projecten gebruiken. Met die kennis kunnen wij deze projecten beter maken. Om deze enquête te onderscheiden van eerdere en toekomstige Wikimedia-enquêtes, wordt deze enquête aangeduid met het [SCHEMA REVISION NUMBER: 15266417].

'''Welke informatie verzamelen we?'''

Naast de informatie uit je antwoorden op deze enquête, verzamelen we mogelijk ook andere informatie zoals je IP-adres toen je begon en eindigde met de enquête, [https://wikitech.wikimedia.org/wiki/Analytics/Data/Webrequest browsing gegevens], [https://meta.wikimedia.org/wiki/Schema:QuickSurveyInitiation je antwoorden op de enquête] en [https://meta.wikimedia.org/wiki/Schema:QuickSurveysResponses alle andere informatie] die je opgeeft of die aan ons doorgegeven worden. Je antwoorden in deze survey worden aan de verzamelde browsing gegevens gekoppeld om te begrijpen hoe en waarom onze gebruikers de Wikimedia-projecten bezoeken.

'''Informatiedeling en openbaarmaking'''

Deze enquête verzamelt twee soorten data: de antwoorden die je geeft, en informatie zoals IP-adres en browsing-gegevens. Alle ruwe antwoorden uit de enquête worden publiekelijk gedeeld zoals ze zijn gegevens door de gebruiker, met uitzondering van de antwoorden uit het vrije tekstveld dat wij “Overig” noemen.

Alle andere verzamelde ruwe informatie, zoals browsing gegevens, wordt alleen gedeeld met medewerkers, [ONDERAANNEMERS (CONTRACTORS)], service aanvieders en vrijwilligers van Wikimedia die de informatie moeten verwerken en die een geheimhoudingsovereenkomst getekend hebben, met uitzondering van de hieronder beschreven omstandigheden. We kunnen geanonimiseerde or geaggregeerde statistieken over de resultaten van de enquête openbaar maken, onder andere via onze websites en ons blog.

We mogen verzamelde informatie openbaar maken wanneer wij daartoe bij wet verplicht zijn, wanneer we je toestemming hebben, wanneer nodig om onze rechten, privacy, veiligheid, gebruikers of het algemene publiek te beschermen en wanneer nodig om om onze [https://wikimediafoundation.org/wiki/Terms_of_Use Gebruiksvoorwaarden] of welk ander beleid van Wikimedia dan ook te waarborgen.

'''Belangrijke informatie'''

Wikimedia is een wereldwijde beweging die zich inzet voor vrije en open kennis. Door je antwoorden vast te leggen, ga je akkoord met de overdracht, opslag en gebruik van de verzamelde informatie in de Verenigde Staten en andere plaatsen, al naargelang noodzakelijk is om bovenstaande doeleinden te bereiken.

Wikimedia is zich bewust van het belang van de privacy van gebruikers. Daarom doen we er alles aan om de ongeautoriseerde openbaarmaking, gebruik of vernietiging van de informatie die we bewaren te voorkomen. Persoonlijk herleidbare informatie (voor zover aanwezig) wordt na 90 dagen verwijderd. Bepaalde soorten ruwe, niet-publieke gegevens, zoals IP-adressen of [USER-AGENT] informatie, zal worden geaggregeerd, geanonimiseerd of verwijderd worden binnen 90 dagen. Bepaalde soorten niet-persoonlijk herleidbare informatie en geaggregeerde of geanonimiseerde gegevens kunnen onbeperkt bewaard blijven. Zie onze [https://meta.wikimedia.org/wiki/Data_retention_guidelines#How_long_do_we_retain_non-public_data.3F Richtlijnen voor dataretentie] voor meer informatie.

Nogmaals dank voor je feedback!

'''De Wikimedia Foundation'''
<br />
<br />

'''Let op: de oorspronkelijke Engelse versie van deze privacyverklaring heeft voorrang in het geval van verschillen in betekenis of interpretatie tussen de oorspronkelijke Engelse versie en een vertaling.'''

Jdlrobson moved this task from To Do to Doing on the Reading-Web-Sprint-96 board.Apr 24 2017, 5:11 PM

After talking to @leila this is not going to be ready until the end of the week. Probably looking at a 1st May deploy.

I need to talk about @leila. There are concerns with placement of the survey. We may need to pull this out of the sprint if we can't work those out. I'll keep you posted.

There are no deploys this week so this can be done 8th May at the earliest now so moving out of the current sprint.

leila added a comment.May 1 2017, 9:41 PM

Thanks for catching this @Jdlrobson . We are looking at the options for mobile and will update you as soon as we know more.

We're not going to get a chance to talk about this without @ovasileva so I'm pulling out of the next sprint. We can add back in as unplanned if necessary after we've had that chat.

Hi - @leila - any updates? We're planning our next sprint today and while there's a small chance we can make space for this after sprint planning, we might not be able to deploy until May 17. If we think we're good to go, however, I'll pull it in for today's planning.

@ovasileva welcome back and thanks for the ping! :)

I've talked to @schana in our team and he will be able to help us turning the QS on and off (he did it last year as well). We will run some tests on Monday/Tuesday next week to see if the mobile issue discussed in the internal thread is a serious one (we're hoping that the bias correction step we take fix for that). If everything goes smoothly, we then turn QS on for all language on Wednesday, 5/10 or Monday, 5/15.

Does this sound good to you? (basically we're minimizing the work needed on your end to almost 0, hopefully.)

@leila - sounds good from our side. Ping us if anything comes up in the meantime!

leila added a comment.May 4 2017, 4:14 PM

perfect. thanks!

@leila - one more thing, we are planning on moving the infobox below the lead paragraph relatively soon. This means that the surveys would appear above the infobox and below the lead, ultimately probably having a slightly higher placement on the page. Do you think this would affect the research?

leila added a comment.May 8 2017, 2:31 PM

@ovasileva Ideally, we keep everything unchanged until the data collection is over and the surveys stop. We are starting to test in a few languages tomorrow, do the first round of data-sanity checks and if everything is okay, we send all surveys out on May 10 or 11 or 15. What is the timeline on your end for pushing out the change (moving lead paragraph before the infobox)?

@leila - how long were you planning on running the surveys? We were planning on deploying the change next week, but it's possible to postpone a bit as well

leila added a comment.May 10 2017, 4:28 AM

@ovasileva if everything goes well with the tests that are scheduled for Thursday this week, we should be able to stop the surveys on May 22. Can you wait until then, or schedule the change for a bit later just in case we need a couple of days buffer? Also, will the change be applied to all languages at once?

@leila - sure, that works for us! We can deploy on the 23 or the 24th. And yes, we are planning on deploying on all projects.

leila added a comment.May 10 2017, 4:05 PM

perfect. I made a note @ovasileva. If for any reason we see based on the tests going out tomorrow that we won't make it to finish on time, I'll make sure this is communicated/coordinated with you so you can plan accordingly. Thanks for all your help and flexibility. :)

@leila - sounds good, thank you! :) I also subscribed you to the deploy task just in case as well

@ovasileva @leila are you aware of T164907 ? This bug is making it impossible for a survey to disappear.

Jdlrobson updated the task description. (Show Details)May 16 2017, 1:45 PM
Jdlrobson updated the task description. (Show Details)May 16 2017, 1:47 PM
leila added a comment.May 16 2017, 6:10 PM

@Jdlrobson it seems the bug you mentioned is now resolved. How about we run a test for a short period of time in one of the languages to make sure this is working? I'd rather we do this before the main surveys go out.

@schana please check the Deployment checklist added under Description. We should keep an eye on these when we push the survey out next time.

@leila Can do.

@Jdlrobson Is the checking that the bug is resolved a one-time thing? I can update https://www.mediawiki.org/wiki/Extension:QuickSurveys/Deploying_surveys#Current_process to reflect the other deployment checks.

@schana yup just a one time thing although it probably makes sense to test any deployed survey behaves correctly in the two scenarios (completes survey/dismisses survey) so I'd definitely add that to the notes.

ggellerman closed this task as Resolved.Jul 17 2017, 6:34 PM
ggellerman edited projects, added Research-Archive; removed Research.
DarTar moved this task from Default to Q1-Q4-FY17 on the Research-Archive board.Jan 8 2018, 11:59 PM